Debian Bug report logs - #722203
RFP: kmp -- Kid's Media Player - audio and video player designed especially for children

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Staggs <tausciam@gmail.com>

Date: Mon, 9 Sep 2013 02:21:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#722203; Package kmp. (Mon, 09 Sep 2013 02:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Staggs <tausciam@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Mon, 09 Sep 2013 02:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Staggs <tausciam@gmail.com>
To: submit@bugs.debian.org
Subject: RFP: Kids' Media Player - an audio and video player designed especially for children
Date: Sun, 08 Sep 2013 21:16:57 -0500
Package: kmp
Severity: wishlist

This is an audio and video player that uses pictures for navigation instead of 
text to give children the ability to select their own music and videos to play 
even before they're able to read.  I coded it using Python and PyQT because I 
gave my five year old daughter a linux box and there wasn't anything out there 
to fill this niche.

It features album search by cover art, video search by thumbnail and plays 
mp3s for audio and mov, mp4, mpeg and m4v videos. It plays the videos full 
screen and allows pausing by hitting the spacebar or quitting the video by 
hitting q. For audio, you can play and pause as well. In addition, when you 
play a song, it searches the album info on wikipedia and, if you're old enough 
to read, you can click browser to read it.

I tried to make it very simple and my daughter now uses it daily with no 
problems. The Doudoulinux developers have expressed interest in putting the 
kmp in their next major release, but I want to get it out to as wide an 
audience as possible because there is nothing like it for children right now.

It is released under GPLv3 and you can get the source tarball (as well as 
screenshots) from the Qt-apps.org page: http://qt-apps.org/content/show.php?action=content&content=160528

or the development code from google code: http://code.google.com/p/kids-media-player/

You can see a video demo of it here: 
http://www.youtube.com/watch?v=5s3ETtIGw7I

I'd really appreciate it if someone could package this and it could be 
included in Debian.







Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#722203; Package kmp. (Wed, 11 Sep 2013 06:12:05 GMT) Full text and rfc822 format available.

Message #8 received at 722203@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Michael Staggs <tausciam@gmail.com>, 722203@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#722203: RFP: Kids' Media Player - an audio and video player designed especially for children
Date: Wed, 11 Sep 2013 09:09:04 +0300
[Message part 1 (text/plain, inline)]
Control: reassign -1 wnpp
Control: retitle -1 RFP: kmp -- Kid's Media Player - audio and video player designed especially for children

Hi Michael,

Have you considered packaging it yourself? You can ask for advice and 
look for a sponsor on http://lists.debian.org/debian-mentors

Full quote below for the benefit of debian-devel.

Kind regards,
Andrei

On Du, 08 sep 13, 21:16:57, Michael Staggs wrote:
> Package: kmp
> Severity: wishlist
> 
> This is an audio and video player that uses pictures for navigation instead of 
> text to give children the ability to select their own music and videos to play 
> even before they're able to read.  I coded it using Python and PyQT because I 
> gave my five year old daughter a linux box and there wasn't anything out there 
> to fill this niche.
> 
> It features album search by cover art, video search by thumbnail and plays 
> mp3s for audio and mov, mp4, mpeg and m4v videos. It plays the videos full 
> screen and allows pausing by hitting the spacebar or quitting the video by 
> hitting q. For audio, you can play and pause as well. In addition, when you 
> play a song, it searches the album info on wikipedia and, if you're old enough 
> to read, you can click browser to read it.
> 
> I tried to make it very simple and my daughter now uses it daily with no 
> problems. The Doudoulinux developers have expressed interest in putting the 
> kmp in their next major release, but I want to get it out to as wide an 
> audience as possible because there is nothing like it for children right now.
> 
> It is released under GPLv3 and you can get the source tarball (as well as 
> screenshots) from the Qt-apps.org page: http://qt-apps.org/content/show.php?action=content&content=160528
> 
> or the development code from google code: http://code.google.com/p/kids-media-player/
> 
> You can see a video demo of it here: 
> http://www.youtube.com/watch?v=5s3ETtIGw7I
> 
> I'd really appreciate it if someone could package this and it could be 
> included in Debian.

-- 
http://wiki.debian.org/FAQsFromDebianUser
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
http://nuvreauspam.ro/gpg-transition.txt
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'kmp' to 'wnpp'. Request was from Andrei POPESCU <andreimpopescu@gmail.com> to 722203-submit@bugs.debian.org. (Wed, 11 Sep 2013 06:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: kmp -- Kid's Media Player - audio and video player designed especially for children' from 'RFP: Kids' Media Player - an audio and video player designed especially for children' Request was from Andrei POPESCU <andreimpopescu@gmail.com> to 722203-submit@bugs.debian.org. (Wed, 11 Sep 2013 06:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722203; Package wnpp. (Wed, 11 Sep 2013 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Staggs <tausciam@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Sep 2013 13:09:05 GMT) Full text and rfc822 format available.

Message #17 received at 722203@bugs.debian.org (full text, mbox):

From: Michael Staggs <tausciam@gmail.com>
To: Andrei POPESCU <andreimpopescu@gmail.com>
Cc: 722203@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#722203: RFP: Kids' Media Player - an audio and video player designed especially for children
Date: Wed, 11 Sep 2013 08:06:28 -0500
[Message part 1 (text/plain, inline)]
Thank you. I have, but I'm writing the code, packaging the rpms and trying
to get it into opensuse as well. I don't run debian, but I do run opensuse
and kubuntu. I created a deb in ubuntu if it helps:
https://m.facebook.com/l.php?u=https%3A%2F%2Fwww.dropbox.com%2Fs%2Fwxnp050qot4fgen%2Fkmp_1.1_all.deb&h=uAQHe52rA&s=1
On Sep 11, 2013 1:09 AM, "Andrei POPESCU" <andreimpopescu@gmail.com> wrote:

> Control: reassign -1 wnpp
> Control: retitle -1 RFP: kmp -- Kid's Media Player - audio and video
> player designed especially for children
>
> Hi Michael,
>
> Have you considered packaging it yourself? You can ask for advice and
> look for a sponsor on http://lists.debian.org/debian-mentors
>
> Full quote below for the benefit of debian-devel.
>
> Kind regards,
> Andrei
>
> On Du, 08 sep 13, 21:16:57, Michael Staggs wrote:
> > Package: kmp
> > Severity: wishlist
> >
> > This is an audio and video player that uses pictures for navigation
> instead of
> > text to give children the ability to select their own music and videos
> to play
> > even before they're able to read.  I coded it using Python and PyQT
> because I
> > gave my five year old daughter a linux box and there wasn't anything out
> there
> > to fill this niche.
> >
> > It features album search by cover art, video search by thumbnail and
> plays
> > mp3s for audio and mov, mp4, mpeg and m4v videos. It plays the videos
> full
> > screen and allows pausing by hitting the spacebar or quitting the video
> by
> > hitting q. For audio, you can play and pause as well. In addition, when
> you
> > play a song, it searches the album info on wikipedia and, if you're old
> enough
> > to read, you can click browser to read it.
> >
> > I tried to make it very simple and my daughter now uses it daily with no
> > problems. The Doudoulinux developers have expressed interest in putting
> the
> > kmp in their next major release, but I want to get it out to as wide an
> > audience as possible because there is nothing like it for children right
> now.
> >
> > It is released under GPLv3 and you can get the source tarball (as well as
> > screenshots) from the Qt-apps.org page:
> http://qt-apps.org/content/show.php?action=content&content=160528
> >
> > or the development code from google code:
> http://code.google.com/p/kids-media-player/
> >
> > You can see a video demo of it here:
> > http://www.youtube.com/watch?v=5s3ETtIGw7I
> >
> > I'd really appreciate it if someone could package this and it could be
> > included in Debian.
>
> --
> http://wiki.debian.org/FAQsFromDebianUser
> Offtopic discussions among Debian users and developers:
> http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
> http://nuvreauspam.ro/gpg-transition.txt
>
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:39:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.